Name:		raccoon
Version:	4.24.0
Release:	%mkrel 1
License:	Apache 2.0
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Networking/Other
URL:		http://raccoon.onyxbits.de/
Source1:	%{name}.png
Summary:	 Allows you to download Android APK files to your desktop PC and archive them there
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description
A Google Play desktop client that runs on Linux, MacOS X and MS Windows systems.
Faster and easier to navigate than the official smartphone / tablet app.
The only APK downloader that is able to fetch paid apps as well (including their asset files).
A superior and more reliable solution when compared to web based alternatives.


%prep


%install
pushd %{_sourcedir}
wget -nc https://raccoon.onyxbits.de/apk-downloader/%{name}-%{version}.jar
#mv 
popd


# Installs the Jar
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 0755  %{_sourcedir}/%{name}-%{version}.jar %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar %{name}-%{version}.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Name=Raccoon
GenericName=APK downloader from Google Play store!
Comment=%{summary}
StartupNotify=false
Categories=Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

%clean
rm -rf %{buildroot}


%files
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog

* Fri Feb 03 2023 Agent Smith <ruidobranco@yahoo.com.br> 4.24.0-1pclos2024
- Updated the package raccoon-4.24.0-1pclos2023.noarch.rpm, with latest source.

* Thu Dec 01 2022 Agent Smith <ruidobranco@yahoo.com.br> 4.23.0-1pclos2022
- Updated the package raccoon-4.21.0-1pclos2022.noarch.rpm, with latest source.

* Thu Oct 13 2022 Agent Smith <ruidobranco@yahoo.com.br> 4.22.0-1pclos2022
- Updated the package raccoon-4.21.0-1pclos2022.noarch.rpm, with latest source.

* Thu Sep 01 2022 Agent Smith <ruidobranco@yahoo.com.br> 4.21.0-1pclos2022
- Updated the package raccoon-4.21.0-1pclos2022.noarch.rpm, with latest source.

* Thu Jul 07 2022 Agent Smith <ruidobranco@yahoo.com.br> 4.20.0-1pclos2022
- Updated the package raccoon-4.20.0-1pclos2022.noarch.rpm, with latest source.

* Mon Sep 13 2021 Agent Smith <ruidobranco@yahoo.com.br> 4.19.0-1pclos2021
- Updated the package raccoon-4.19.0-1pclos2021.noarch.rpm, with latest source.

* Thu Jun 03 2021 Agent Smith <ruidobranco@yahoo.com.br> 4.18.0-1pclos2021
- Updated the package raccoon-4.18.0-1pclos2021.noarch.rpm, with latest source.

* Thu Mar 11 2021 Agent Smith <ruidobranco@yahoo.com.br> 4.17.0-1pclos2021
- Updated the package raccoon-4.17.0-1pclos2021.noarch.rpm, with latest source.

* Tue Mar 02 2021 Agent Smith <ruidobranco@yahoo.com.br> 4.16.0-1pclos2021
- Updated the package raccoon-4.16.0-1pclos2021.noarch.rpm, with latest source.

* Thu Jun 23 2020 Agent Smith <ruidobranco@yahoo.com.br> 4.15.0-1pclos2020
- Updated the package raccoon-4.15.0-1pclos2020.noarch.rpm, with latest source.

* Fri Apr 24 2020 Agent Smith <ruidobranco@yahoo.com.br> 4.14.0-1pclos2020
- Updated the package raccoon-4.14.0-1pclos2020.noarch.rpm, with latest source.

* Mon Mar 30 2020 Agent Smith <ruidobranco@yahoo.com.br> 4.13.0-1pclos2020
- Updated the package raccoon-4.13.0-1pclos2020.noarch.rpm, with latest source.

* Fri Nov 22 2019 Agent Smith <ruidobranco@yahoo.com.br> 4.11.0-1pclos2019
- Updated the package raccoon-4.11.0-1pclos2019.noarch.rpm, with latest source.

* Thu Jul 18 2019 Agent Smith <ruidobranco@yahoo.com.br> 4.8.0-1pclos2019
- Updated the package raccoon-4.8.0-1pclos2019.noarch.rpm, with latest source.

* Fri Apr 12 2019 Agent Smith <ruidobranco@yahoo.com.br> 4.7.0-1pclos2019
- Updated the package raccoon-4.7.0-1pclos2019.noarch.rpm, with latest source.

* Thu Sep 13 2018 Agent Smith <ruidobranco@yahoo.com.br> 4.2.6-1pclos2018
- Updated the package raccoon-4.2.6-1pclos2018.noarch.rpm, with latest source.

* Mon Mar 26 2018 Agent Smith <ruidobranco@yahoo.com.br> 4.2.3-1pclos2018
- Created the package raccoon-4.2.3-1pclos2018.noarch.rpm, with latest source.

* Mon Nov 13 2017 Agent Smith <ruidobranco@yahoo.com.br> 4.1.6-1pclos2017
- Created the package raccoon-4.1.6-1pclos2017.noarch.rpm, with latest source.

* Thu May 11 2017 Agent Smith <ruidobranco@yahoo.com.br> 4.0.1-1pclos2017
- Created the package raccoon-4.0.1-1pclos2017.noarch.rpm, with latest source.

* Wed Aug 26 2015 Agent Smith <ruidobranco@yahoo.com.br> 3.5-1pclos2015
- Created the package raccoon-3.5-1pclos2015.noarch.rpm, with latest source.
